
Redmine - Feature #2477

mail reminder for watchers

2009-01-09 08:57 - panta rhei

Status: New Start date: 2009-01-09

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: Candidate for next major release   

Resolution:    

Description

Please add an option to the watchers if they should receive a reminder mail too.

sometimes it's usefull that all related people get a reminder for the tasks.

or am i missing something and it's already possible to do?

Related issues:

Related to Redmine - Feature #3035: Reminder at start-date New 2009-03-23

Blocked by Redmine - Defect #25049: Issues which are assigned to group are no... New

History

#1 - 2009-04-21 16:05 - J Cayetano Delgado

- Status changed from New to Resolved

Duplicated: #2477

#2 - 2009-04-21 16:05 - J Cayetano Delgado

Duplicated: #3035, i meant.

#3 - 2010-08-25 10:29 - Yuki Kita

+1

I think this issue is not a duplicate of #3035.

So the status should be reverted to "New".

#4 - 2011-03-24 08:57 - Toshi MARUYAMA

- Category set to Email notifications

- Status changed from Resolved to New

#5 - 2011-12-20 23:01 - Paweł Walat

+1

#6 - 2014-09-08 16:01 - Roberto Viola

+1

#7 - 2015-11-13 08:01 - Earl ng

+1 how do you send email reminders to watchers?

#8 - 2017-01-12 04:00 - Kohei Nakamura

+1 I also expect this function to be implemented.

#9 - 2017-01-12 15:25 - Go MAEDA

- File 2477-reminder-to-watchers.diff added

I have created a patch to implement this feature.

This patch introduces new option 'recipients', which specifies recipient types ('assignee' or 'watcher'), to the rake task 'redmine:send_reminders'.
Examples:

rake redmine:send_reminders

rake redmine:send_reminders recipients=assignee

Send reminders to assignees. same behavior with the current implementation.

rake redmine:send_reminders recipients=assignee,watcher

Send reminders to assignees and wathcers.

rake redmine:send_reminders recipients=watcher

Send reminders to watchers.

#10 - 2017-01-15 07:02 - Go MAEDA

- Target version set to Candidate for next major release

#11 - 2017-01-18 04:14 - Go MAEDA

- Target version changed from Candidate for next major release to 3.4.0

Let's deliver this feature in 3.4.0.

#12 - 2017-01-25 09:04 - Jean-Philippe Lang

- Target version changed from 3.4.0 to Candidate for next major release

The text in the reminder email is "X issue(s) that are assigned to you are due in the next N days". That doesn't work for watchers. We should adapt

this message for watchers and maybe group issues by assignee.

Could we discuss about how the email should look like? That could be:

X issue(s) that you are watching are due in the next N days:

* X issues assigned to A:

  * issue nn

  * ...

* X issues assigned to B:

  * issue nn

  * ...

* X issues assigned to nobody:

  * issue nn

#13 - 2017-01-25 10:43 - Go MAEDA

Thanks for taking a look at the patch.

Jean-Philippe Lang wrote:

The text in the reminder email is "X issue(s) that are assigned to you are due in the next N days". That doesn't work for watchers. We should

adapt this message for watchers and maybe group issues by assignee.

 I think that more simpler solution is good enough. What do you think?

recipients=assignee:

X issue(s) that you are involved are due in the next N days:

[Assigned to you]

* issue nn

* ...

[Assigned to your group]

* issue nn

* ...

 recipients=assignee,watcher:

X issue(s) that you are involved are due in the next N days:
[Assigned to you]

* issue nn

* ...

[Assigned to your group]

* issue nn

* ...

[Watched by you]

* issue nn

* ...

#14 - 2017-02-12 02:58 - Go MAEDA

- Blocked by Defect #25049: Issues which are assigned to group are not listed in reminders if 'users' parameter is specified added

#15 - 2017-11-28 11:23 - Torben Junker

+1 Anything new?

#16 - 2021-01-26 09:58 - Celso Acurcio

Hi,

I'm also very keen on this feature. I've used the standard rake command on my task scheduler which works perfectly but I'd like to notify the Watchers

as well. Looked around a lot and installed some old plugins which don't work with my 4.1.1 version.

This thread has been dead for a while but hopefully someone can give me an update.

I also tried: bundle exec rake redmine:send_reminders recipients=assignee,watcher days=3 RAILS_ENV="production"

It still works but it still only emails assignees.

#17 - 2022-08-11 14:52 - masashi saito

Anything new?

#18 - 2022-09-15 10:20 - Terence Lien

make a wish that could be implement in 4.2.7 and above.

Files

2477-reminder-to-watchers.diff 5.87 KB 2017-01-12 Go MAEDA
